Skip to content
Back to Steward

Remove a user

DELETE
/api/v1/account/users/{id}
id
required
string

User deactivated

object
id
required

Unique identifier of the user

string
Example
60d5ecb54b24003a7c8e92b2
externalId
required

External ID from authentication provider

string
Example
auth0|507f1f77bcf86cd799439011
firstName
required

First name of the user

string
Example
John
lastName
required

Last name of the user

string
Example
Doe
email
required

Email address of the user

string
Example
john.doe@example.com
title
required

Job title of the user

string
Example
Software Engineer
activeAccountId
required

ID of the active account this user is currently scoped to

string
Example
507f1f77bcf86cd799439011
accounts
required

All account memberships for the user

Array<object>
object
id
required

Account ID

string
Example
507f1f77bcf86cd799439011
name
required

Account name

string
Example
Acme Corp
deactivatedAt
required

Date when account was deactivated. Null if active.

string format: date-time
nullable
logoUrl

Signed URL for the account logo image. Null if no logo has been uploaded.

string
nullable
createdAt
required

User creation date

string format: date-time
Example
2026-03-30T12:00:00.000Z
updatedAt
required

User last update date

string format: date-time
Example
2026-03-30T12:00:00.000Z
deactivatedAt

Date when user was deactivated. Null if user is active.

string format: date-time
nullable
status
required

User status

string
Allowed values: PENDING ACTIVE INACTIVE
Example
ACTIVE
roles
required

Roles of the user

Array<string>
Allowed values: backoffice demo dev read-only
Example
[
"read-only"
]
metadata

Auth0 user metadata

object
Example
{
"requireMFA": true
}
Example
{
"id": "60d5ecb54b24003a7c8e92b2",
"externalId": "auth0|507f1f77bcf86cd799439011",
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com",
"title": "Software Engineer",
"activeAccountId": "507f1f77bcf86cd799439011",
"accounts": [
{
"id": "507f1f77bcf86cd799439011",
"name": "Acme Corp",
"deactivatedAt": null,
"logoUrl": null
}
],
"createdAt": "2026-03-30T12:00:00.000Z",
"updatedAt": "2026-03-30T12:00:00.000Z",
"deactivatedAt": null,
"status": "ACTIVE",
"roles": [
"read-only"
],
"metadata": {
"requireMFA": true
}
}

User not found